# EntityView

#### new Cesium.EntityView(entity, scene, ellipsoid)
DataSources/EntityView.js 197

  A utility object for tracking an entity with the camera.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `entity` | Entity |  | The entity to track with the camera.
  `scene` | Scene |  | The scene to use.
  `ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid to use for orienting the camera.

### Members

#### staticCesium.EntityView.defaultOffset3D : Cartesian3
DataSources/EntityView.js 241

  Gets or sets a camera offset that will be used to initialize subsequent EntityViews.

#### boundingSphere : BoundingSphere
DataSources/EntityView.js 221

  The bounding sphere of the object.

#### ellipsoid : Ellipsoid
DataSources/EntityView.js 215

  The ellipsoid to use for orienting the camera.

#### entity : Entity
DataSources/EntityView.js 203

  The entity to track with the camera.

#### scene : Scene
DataSources/EntityView.js 209

  The scene in which to track the object.

### Methods

#### update(time, current)
DataSources/EntityView.js 264

  Should be called each animation frame to update the camera to the latest settings.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | The current animation time.
  `current` | BoundingSphere | bounding sphere of the object.